Package twisted :: Package enterprise :: Module dbcred :: Class ReflectorAuthorizer

[show private | hide private]
[frames | no frames]

## Class ReflectorAuthorizer

    OriginalAccessor --+
                       |
              Authorizer --+
                           |
                          ReflectorAuthorizer

An authorizer that uses a given row reflector.

Method Summary
| `__init__(self, refl, serviceCollection)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``addIdentity`(self, identity)` Create an identity and make a callback when it has been created. (inherited from `Authorizer`)
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer. (inherited from `Authorizer`)
| `get_application(self)` (inherited from `Authorizer`)
| ``getIdentityRequest`(self, name)` get the identity from the database with the specified name.
| `getServiceNamed(self, name)` (inherited from `Authorizer`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeIdentity(self, identityName)` (inherited from `Authorizer`)
| ``setApplication`(self, app)` Set the application for this authorizer. (inherited from `Authorizer`)
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer. (inherited from `Authorizer`)
| `_cbIdentity(self, newIdentityRows)`
| `_ebIdentity(self, data)`

Method Details

### getIdentityRequest(self, name)

get the identity from the database with the specified name.

Generated by Epydoc 1.1 on Thu May 8 13:18:21 2003 | http://epydoc.sf.net